%% @hidden
-module(wsEgMiddleware).
-export([handle/2, handle_event/3]).
-behaviour(wsHer).


%%
%% ELLI
%%

handle(Req, _Args) ->
   do_handle(wsReq:path(Req)).

do_handle([<<"middleware">>, <<"short-circuit">>]) ->
   {200, [], <<"short circuit!">>};
do_handle(_) ->
   ignore.


%%
%% ELLI EVENT CALLBACKS
%%


handle_event(_Event, _Data, _Args) ->
   ok.
